package jp.hasc.hasctool.core.runtime.filter.weka.learning;

import weka.classifiers.Classifier;
import weka.classifiers.lazy.IBk;

/**
 * KNN(KNearestNeighbor Algorithm)
 * @author hiro
 */

public class KNNClassifier extends LearningClassifier {

	int num_;

	//使用分類器の作成メソッド
	Classifier getClassifier() {
		IBk kNN = new IBk();
		kNN.setKNN(num_);
		return kNN;
	}

	public void setKNum(int k){
		num_ = k;
	}

}
